# Interface LazyLoadResult

The return type of a [[StateDeclaration.lazyLoad]] function

If your state has a `lazyLoad` function, it should return a promise. If promise resolves to an object matching this interface, then the `states` array of [[StateDeclaration]] objects will be automatically registered.

interface LazyLoadResult {
states?: StateDeclaration[];
}

- Defined in src/router/state/interface.ts:970

##### Index

### Properties

states?

## Properties

### `Optional` states

states?: StateDeclaration[]

- Defined in src/router/state/interface.ts:971